/* @(#) $Header: err.c,v 1.1 96/01/15 00:07:43 leres Exp $ (LBL) */

#include <sys/types.h>

#include <errno.h>
#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>

#include "gnuc.h"
#ifdef HAVE_OS_PROTO_H
#include "os-proto.h"
#endif

#include <err.h>

__dead void
err(int eval, char *fmt, ...)
{
	va_list ap;

        va_start(ap, fmt);
        vfprintf(stderr, fmt, ap);
	if (errno != 0)
		(void)fprintf(stderr, ": %s", strerror(errno));
	putc('\n', stderr);
        va_end(ap);
	exit(eval);
}
